diff -urpN webkitgtk-2.44.0.orig/Source/cmake/OptionsGTK.cmake webkitgtk-2.44.0/Source/cmake/OptionsGTK.cmake
--- webkitgtk-2.44.0.orig/Source/cmake/OptionsGTK.cmake	2024-03-18 15:56:58.881986603 -0500
+++ webkitgtk-2.44.0/Source/cmake/OptionsGTK.cmake	2024-03-18 16:33:08.687593805 -0500
@@ -21,7 +21,7 @@ find_package(Libtasn1 REQUIRED)
 find_package(HarfBuzz 1.4.2 REQUIRED COMPONENTS ICU)
 find_package(ICU 61.2 REQUIRED COMPONENTS data i18n uc)
 find_package(JPEG REQUIRED)
-find_package(Epoxy 1.5.4 REQUIRED)
+find_package(Epoxy 1.4.0 REQUIRED)
 find_package(LibXml2 2.8.0 REQUIRED)
 find_package(PNG REQUIRED)
 find_package(SQLite3 REQUIRED)
diff -urpN webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/egl/GLContext.cpp webkitgtk-2.44.0/Source/WebCore/platform/graphics/egl/GLContext.cpp
--- webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/egl/GLContext.cpp	2024-03-16 01:45:50.472671300 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/graphics/egl/GLContext.cpp	2024-03-18 16:30:10.036916112 -0500
@@ -27,11 +27,15 @@
 #include <wtf/text/StringToIntegerConversion.h>
 
 #if USE(LIBEPOXY)
-#include <epoxy/egl.h>
-#include <epoxy/gl.h>
+#include <EpoxyEGL.h>
 #else
 #include <EGL/egl.h>
 #include <EGL/eglext.h>
+#endif
+
+#if USE(LIBEPOXY)
+#include <epoxy/gl.h>
+#else
 #include <GLES2/gl2.h>
 #include <GLES2/gl2ext.h>
 #endif
diff -urpN webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/egl/GLContextLibWPE.cpp webkitgtk-2.44.0/Source/WebCore/platform/graphics/egl/GLContextLibWPE.cpp
--- webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/egl/GLContextLibWPE.cpp	2024-03-16 01:45:50.472671300 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/graphics/egl/GLContextLibWPE.cpp	2024-03-18 16:30:32.820335877 -0500
@@ -26,7 +26,7 @@
 // FIXME: For now default to the GBM EGL platform, but this should really be
 // somehow deducible from the build configuration.
 #define __GBM__ 1
-#include <epoxy/egl.h>
+#include <EpoxyEGL.h>
 #else
 #if PLATFORM(WAYLAND)
 // These includes need to be in this order because wayland-egl.h defines WL_EGL_PLATFORM
diff -urpN webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/epoxy/EpoxyEGL.h webkitgtk-2.44.0/Source/WebCore/platform/graphics/epoxy/EpoxyEGL.h
--- webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/epoxy/EpoxyEGL.h	1969-12-31 18:00:00.000000000 -0600
+++ webkitgtk-2.44.0/Source/WebCore/platform/graphics/epoxy/EpoxyEGL.h	2024-03-18 16:31:30.253887088 -0500
@@ -0,0 +1,38 @@
+
+/*
+ * Copyright (C) 2017 Igalia S.L.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE INC. AND ITS CONTRIBUTORS ``AS IS''
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
+ * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE INC. OR ITS CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#pragma once
+
+#include <epoxy/egl.h>
+
+// Provide the EGL_CAST macro in case the eglplatform.h header doesn't define it already.
+#ifndef EGL_CAST
+#if defined(__cplusplus)
+#define EGL_CAST(type, value) (static_cast<type>(value))
+#else
+#define EGL_CAST(type, value) ((type) (value))
+#endif
+#endif
diff -urpN webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/PlatformDisplay.cpp webkitgtk-2.44.0/Source/WebCore/platform/graphics/PlatformDisplay.cpp
--- webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/PlatformDisplay.cpp	2024-03-16 01:45:50.436671500 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/graphics/PlatformDisplay.cpp	2024-03-18 16:28:02.159737261 -0500
@@ -76,7 +76,7 @@
 
 #if USE(EGL)
 #if USE(LIBEPOXY)
-#include <epoxy/egl.h>
+#include <EpoxyEGL.h>
 #else
 #include <EGL/egl.h>
 #include <EGL/eglext.h>
diff -urpN webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/texmap/TextureMapperPlatformLayerProxyDMABuf.cpp webkitgtk-2.44.0/Source/WebCore/platform/graphics/texmap/TextureMapperPlatformLayerProxyDMABuf.cpp
--- webkitgtk-2.44.0.orig/Source/WebCore/platform/graphics/texmap/TextureMapperPlatformLayerProxyDMABuf.cpp	2024-03-16 01:45:50.496671200 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/graphics/texmap/TextureMapperPlatformLayerProxyDMABuf.cpp	2024-03-18 16:32:16.464062376 -0500
@@ -37,7 +37,7 @@
 #include <unistd.h>
 
 #if USE(LIBEPOXY)
-#include <epoxy/egl.h>
+#include <EpoxyEGL.h>
 #else
 #include <EGL/egl.h>
 #include <EGL/eglext.h>
diff -urpN webkitgtk-2.44.0.orig/Source/WebCore/platform/xr/openxr/OpenXRUtils.h webkitgtk-2.44.0/Source/WebCore/platform/xr/openxr/OpenXRUtils.h
--- webkitgtk-2.44.0.orig/Source/WebCore/platform/xr/openxr/OpenXRUtils.h	2024-03-16 01:45:50.576671100 -0500
+++ webkitgtk-2.44.0/Source/WebCore/platform/xr/openxr/OpenXRUtils.h	2024-03-18 16:32:52.810866910 -0500
@@ -25,7 +25,7 @@
 // EGL symbols required by openxr_platform.h
 #if USE(LIBEPOXY)
 #define __GBM__ 1
-#include <epoxy/egl.h>
+#include <EpoxyEGL.h>
 #else
 #include <EGL/egl.h>
 #endif
